-- FirstStage generated output file
require "scripts/style"

--------------------------------------
-- 					Init
--------------------------------------
SetDefaultStyle( DefaultStyle );

ok = "ok";
okname = "OK";
name = "ok";
okcommand = gDialogTable.okcommand;

if (gDialogTable.oklabel) 
then
	ok = gDialogTable.oklabel ;
end

if (gDialogTable.name) 
then
	name = gDialogTable.name;
end

if (gDialogTable.okname) 
then
	okname = gDialogTable.okname;
end

local d = MediumDialog

--------------------------------------
-- 				Main Dialog
--------------------------------------
MakeDialog
{
	Bitmap
	{
		name = "dialogshadow",
		image = "backgrounds/dialogs/backgroundalpha",
	},

	Bitmap
	{
       name = "yesnobackground",
		image = "backgrounds/popups/popupdefault",
		alpha = true,
		x = kCenter,
		y = kCenter,

		SetStyle( ButtonStyle ),
		Button
		{
			name = okname,
			x = kCenter,
			y = kMax - 325,
			close = true,
			flags = 5,
			DefaultButtonLabel(ok),
			command = okcommand
		},
			
		SetStyle( DialogTitleText ),
		Text
		{ 
			label = gDialogTable.title 
		},
		
		SetStyle( DialogBodyText ),
		Text
		{ 
			label = gDialogTable.body 
		}		
	};
}

--------------------------------------
-- 				Finalize
--------------------------------------
gDialogTable = {}